Subject: bug#3977: 23.1.50; Tramp slows down Emacs

From: Michael Albinus <[email-masked]>
Date: Fri, 31 Jul 2009 05:52:35 +0200

Torsten Bronger <[email-masked]> writes:

> After starting Tramp, Emacs is slowed down significantly.  It is
> sufficient to trigger Tramp just by tab-completion of a remote path.
> From this moment on, Emacs is slow.

Does it also happen, when you start "emacs -Q"?

> I can't really tell whether it is slow per se or because Tramp does so
> many network connections in the background because I use Emacs through
> the network itself (ssh -X).

I don't believe that this matters to Tramp.

> However, this is behaviour introduced within the last six weeks or so.
>
> By the way, Tramps complains that it can't find GVFS support, if this
> matters.

That I will check.

Best regars, Michael.